..
   ProPlot documentation master file, created by
   sphinx-quickstart on Wed Feb 20 01:31:20 2019.
   You can adapt this file completely to your liking, but it should at least
   contain the root `toctree` directive.

=======
ProPlot
=======

A comprehensive, easy-to-use `matplotlib <https://matplotlib.org/>`__ wrapper for making beautiful, publication-quality graphics. The Github page is `here <https://github.com/lukelbd/proplot>`__.

.. toctree::
   :maxdepth: 1
   :caption: Getting Started

   install
   why
   usage
   faq

.. toctree::
   :maxdepth: 1
   :caption: User Guide

   basics
   subplots
   colorbars_legends
   colormaps
   cycles
   colors_fonts
   projection
   axis
   insets_panels
   1dplots
   2dplots
   configuration

.. toctree::
   :maxdepth: 1
   :caption: Reference

   api
   changelog
   contributions
   release
   external-links
   authors


Indices and tables
==================

* :ref:`genindex`
* :ref:`modindex`
